Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.mappingdmr.model.provider
Class MappingdmrEditPlugin.Implementation

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.emf.common.EMFPlugin.EclipsePlugin
              org.eclipse.emf.ecp.view.spi.mappingdmr.model.provider.MappingdmrEditPlugin.Implementation

All Implemented Interfaces:
  org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator, org.osgi.framework.BundleActivator

Enclosing class:
  MappingdmrEditPlugin

    public static class MappingdmrEditPlugin.Implementation

extends org.eclipse.emf.common.EMFPlugin.EclipsePlugin

The actual implementation of the Eclipse Plugin.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`MappingdmrEditPlugin.Implementation()` Creates an instance.

Method Summary

Methods inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin
`getBaseURL, getImage, getString, getString, getString, getString, getSymbolicName, log`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, start, startup, stop, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappingdmrEditPlugin.Implementation

    public MappingdmrEditPlugin.Implementation()

  Creates an instance.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.